Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingConfiguration.ForwardingConfigurationMonitor

    java.lang.Object
      com.sshtools.j2ssh.forwarding.ForwardingConfiguration.ForwardingConfigurationMonitor

All Implemented Interfaces:
  ChannelEventListener

Enclosing class:
  ForwardingConfiguration

public class ForwardingConfiguration.ForwardingConfigurationMonitor
extends java.lang.Object
implements ChannelEventListener

Constructor Summary
`ForwardingConfiguration.ForwardingConfigurationMonitor()`

Method Summary
`void` | `onChannelClose(Channel channel)` DOCUMENT ME!
`void` | `onChannelEOF(Channel channel)` DOCUMENT ME!
`void` | `onChannelOpen(Channel channel)` DOCUMENT ME!
`void` | `onDataReceived(Channel channel, byte[] data)` DOCUMENT ME!
`void` | `onDataSent(Channel channel, byte[] data)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardingConfiguration.ForwardingConfigurationMonitor

    public ForwardingConfiguration.ForwardingConfigurationMonitor()

Method Detail

### onChannelOpen

    public void onChannelOpen(Channel channel)

  Description copied from interface: `ChannelEventListener`
  DOCUMENT ME!

  Specified by:
    `onChannelOpen` in interface `ChannelEventListener`
  Parameters:
    `channel` - DOCUMENT ME!

### onChannelEOF

    public void onChannelEOF(Channel channel)

  Description copied from interface: `ChannelEventListener`
  DOCUMENT ME!

  Specified by:
    `onChannelEOF` in interface `ChannelEventListener`
  Parameters:
    `channel` - DOCUMENT ME!

### onChannelClose

    public void onChannelClose(Channel channel)

  Description copied from interface: `ChannelEventListener`
  DOCUMENT ME!

  Specified by:
    `onChannelClose` in interface `ChannelEventListener`
  Parameters:
    `channel` - DOCUMENT ME!

### onDataReceived

    public void onDataReceived(Channel channel,
                               byte[] data)

  Description copied from interface: `ChannelEventListener`
  DOCUMENT ME!

  Specified by:
    `onDataReceived` in interface `ChannelEventListener`
  Parameters:
    `channel` - DOCUMENT ME!
    `data` - DOCUMENT ME!

### onDataSent

    public void onDataSent(Channel channel,
                           byte[] data)

  Description copied from interface: `ChannelEventListener`
  DOCUMENT ME!

  Specified by:
    `onDataSent` in interface `ChannelEventListener`
  Parameters:
    `channel` - DOCUMENT ME!
    `data` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD